Bug 13157 - LDAP authentication configuration is broken?
LDAP authentication configuration is broken?
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-06-28 08:43 EDT by lars
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-14 15:23:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lars 2000-06-28 08:43:46 EDT
I'm trying to configure beta2 to use LDAP for authentication (I'm currently
running 6.2 with this configuration with no problems, so I know things are
working in general).

However, after filling out the LDAP server and base DN in the installer,
the installer ran the following authconfig command line:

  authconfig --kickstart --nostart --useshadow --enableMD5 --enableldap
--ldapserver '' --ldapbasedn ''

The LDAP server and base DN appear to have been lost in the shuffle.
Comment 1 lars 2000-06-28 08:51:43 EDT
I should also mention that selection "LDAP" for authentication during the
install does not appear to automatically select nss_ldap and pam_ldap for
installation, making it likely that things will break in any case.
Comment 2 Michael Fulbright 2000-06-28 15:54:39 EDT
This works correctly for me in the current internal build.

Passed to test lab for verification.
Comment 3 Brock Organ 2000-06-28 17:37:58 EDT
hmmm ... in the test lab using beta2 both in TUI & GUI mode the ldapserver and
basedn parameters are properly populated by the values entered in at the
installer ... 

a quick test verified ldap's local server data configuration was passed to the
client ...further the relevant packages were installed:

% rpm -q nss_ldap openldap

These installs were minimal custom installs enabling shadow, md5 and ldap at the
authentication screen ... Is this much different than what you are doing, Lars
Comment 4 Brock Organ 2000-07-14 15:23:03 EDT
this is also working in beta3 ... please reopen if you are seeing different
results than us, Lars ... thanks for your report!

Note You need to log in before you can comment on or make changes to this bug.